Package com.google.android.exoplayer2.trackselection

## Class DefaultTrackSelector.VideoTrackScore

- java.lang.Object
- - com.google.android.exoplayer2.trackselection.DefaultTrackSelector.VideoTrackScore

- All Implemented Interfaces:
    `Comparable<DefaultTrackSelector.VideoTrackScore>`
  Enclosing class:
    DefaultTrackSelector

      protected static final class DefaultTrackSelector.VideoTrackScore
      extends Object
      implements Comparable<DefaultTrackSelector.VideoTrackScore>

  Represents how well a video track matches the selection `DefaultTrackSelector.Parameters`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `isWithinMaxConstraints` | Whether the provided format is within the parameter maximum constraints.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoTrackScore​(Format format, DefaultTrackSelector.Parameters parameters, int formatSupport, boolean isSuitableForViewport)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(DefaultTrackSelector.VideoTrackScore other)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isWithinMaxConstraints

          public final boolean isWithinMaxConstraints

      Whether the provided format is within the parameter maximum constraints. If `false`, the format should not be selected.

  - ### Constructor Detail

    - #### VideoTrackScore

          public VideoTrackScore​(Format format,
                                 DefaultTrackSelector.Parameters parameters,
                                 @Capabilities
                                 int formatSupport,
                                 boolean isSuitableForViewport)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(DefaultTrackSelector.VideoTrackScore other)

      Specified by:
        `compareTo` in interface `Comparable<DefaultTrackSelector.VideoTrackScore>`